<template>
  <single-panel class="user-setting">
    <ob-tabs
        :items="tabsItems"
        v-model="selectedTab"
        value-exp="id"
        @on-change-tab="onChangeTab"
    >
      <component
          :is="isType"
          class="user-setting-body"
          ref="settings"
      />
    </ob-tabs>
  </single-panel>
</template>

<script>
  import { mapGetters, mapMutations } from 'vuex'
  import SinglePanel from 'common-components/src/obComponents/obSinglePanels'
  import ObTabs from 'common-components/src/obComponents/obTabs/index'
  import Markup from './Markup/index'
  import Limit from './Limit'
  import Searching from './Searching'
  import Tariffing from './Tariffing'
  import AuctionOrder from './AuctionOrder'
  import TrackingOrder from './TrackingOrder'
  import Advance from './Advance'
  import Documens from './Documents/index'
  import Archive from './Archive'
  import Oferta from './Oferta'

  export default {
    name: 'settings',
    components: {
      SinglePanel,
      ObTabs,
    },
    data() {
      return {
        selectedTab: {
          title: this.isClicar ? 'Наценка' : 'Аукционные заказы',
          id: 1
        }
      }
    },
    computed: {
      ...mapGetters({
        userUuid: 'user/participantUuid',
        isClicar: 'user/isClicar',
        flag_setting_direction: 'clicarSettings/flag_setting_direction'
      }),
      isType() {
        if (this.isClicar) {
          if (this.selectedTab.id === 2) {
            return Limit
          } else if (this.selectedTab.id === 3) {
            return Searching
          } else if (this.selectedTab.id === 4) {
            return Tariffing
          } else if (this.selectedTab.id === 5) {
            return Advance
          } else if (this.selectedTab.id === 6) {
            return Documens
          } else if (this.selectedTab.id === 7) {
            return Archive
          } else if (this.selectedTab.id === 8) {
            return Oferta
          } else {
            return Markup
          }
        } else {
          if (this.selectedTab.id === 2) {
            return TrackingOrder
          } else {
            return AuctionOrder
          }
        }
      },
      tabsItems() {
        if (this.isClicar) {
          return [
            {
              title: 'Наценка',
              id: 1
            },
            {
              title: 'Лимит',
              id: 2
            },
            // {
            //   title: 'Поиск исполнителей и ресурсов',
            //   id: 3
            // },
            {
              title: 'Тарификация',
              id: 4
            },
            {
              title: 'Авансирование',
              id: 5
            },
            {
              title: 'Документы',
              id: 6
            },
            {
              title: 'Архивация',
              id: 7
            },
            {
              title: 'Оферта',
              id: 8
            }
          ]
        } else {
          return [
            {
              title: 'Аукционные заказы',
              id: 1
            },
            // {
            //   title: 'Трекинговые заказы',
            //   id: 2
            // }
          ]
        }
      }
    },
    mounted() {
      this.SET_USER_UUID(this.userUuid);
      if (this.flag_setting_direction) {
        this.selectedTab = {
          title: 'Документы',
          id: 6
        }
      }
    },
    methods: {
      ...mapMutations({
        SET_USER_UUID: 'clicarSettings_2/SET_USER_UUID',
      }),
      onChangeTab(tab) {
        this.selectedTab = tab;
      }
    }
  }
</script>

<style scoped lang="scss">
  .user-setting {
    padding: 20px;

    &-body {
      margin-top: 22px;
    }
  }
</style>
